from pydantic import BaseModel


class ReadinessResponse(BaseModel):
    """
    API response for the readiness endpoint
    """

    # Is the component connected
    component: bool


class HealthResponse(BaseModel):
    """
    API response for the health endpoint
    """

    # Is the component healthy
    component: bool
